## roaraudio 1.0~beta9

=== Makefile ===
include Makefile.conf
include Makefile.inc

COMP_LIB=$(subdir_libroaresd) $(subdir_libroarsndio) $(subdir_libroaryiff) $(subdir_libroarpulse) $(subdir_libroararts) $(subdir_libroaross) $(subdir_libroarrsound)

SUBDIRS=$(comp_libs) $(COMP_LIB) $(comp_comp_bins) $(subdir_roarfish) $(comp_clients) $(comp_roard) $(comp_doc)

PLUGINS=$(subdir_plugins_ao) $(subdir_plugins_xmms) $(subdir_plugins_audacious) $(subdir_plugins_roard) $(subdir_plugins_universal)

CKPORTDB=libroar.ckport

SUFFIX_LIB=$(SHARED_SUFFIX).$(COMMON_SOVERSION)

ifeq ($(TARGET_TYPE),win32)
SYMLINKPREFIX_ROOT=$(DESTDIR)
SYMLINKPREFIX=$(SYMLINKPREFIX_ROOT)$(PREFIX_LIB)/
else
SYMLINKPREFIX_ROOT=
SYMLINKPREFIX=
endif

all:
	set -e; for i in ${SUBDIRS}; do cd $$i; $(MAKE) all; cd ..; done;
	set -e; for i in ${PLUGINS}; do cd $$i; $(MAKE) all; cd ../..; done;
clean:
	rm -f lib/* || true
	set -e; for i in ${SUBDIRS}; do cd $$i; $(MAKE) clean; cd ..; done;
	set -e; for i in ${PLUGINS}; do cd $$i; $(MAKE) clean; cd ../..; done;
	set -e; cd tests/; $(MAKE) clean; cd ..;

distclean: clean
	rm -f Makefile.conf config.log include/roaraudio/config.h

new: clean all

test: all
	set -e; cd tests; $(MAKE) test; cd ..;

build-pc-files:
	set -e; if [ "$(CROSS_COMPILE)" = "false" -o "$(CROSS_COMPILE)" = "true" -a "$(EXEC_HELPER)" != "" ]; then for lib in $(comp_libs); do $(EXEC_HELPER) ./lib/roar-config --output-pc $$lib > lib/$$lib.pc; done; fi

prep-install: prep-install-dirs build-pc-files

prep-install-dirs:
	mkdir -p '$(DESTDIR)$(PREFIX_BIN)'
	mkdir -p '$(DESTDIR)$(PREFIX_LIB)'
	mkdir -p '$(DESTDIR)$(PREFIX_INC)'
	mkdir -p '$(DESTDIR)$(PREFIX_MAN)'
	mkdir -p '$(DESTDIR)$(PREFIX_PC)'
	mkdir -p '$(DESTDIR)$(PREFIX_COMP_LIBS)'
	mkdir -p '$(DESTDIR)$(PREFIX_COMP_BINS)'
	mkdir -p '$(DESTDIR)$(PREFIX_CKPORT)'
	mkdir -p '$(DESTDIR)$(PREFIX_PLUGINS)/universal/universal/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)'
	mkdir -p '$(DESTDIR)$(PREFIX_PLUGINS)/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)/universal/'
	mkdir -p '$(DESTDIR)$(PREFIX_PLUGINS)/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)/roard/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)'
	mkdir -p '$(DESTDIR)$(PREFIX_BUILDSYSTEM)'
	set -e; cd doc; $(MAKE) prep-install-dirs; cd ..

install: prep-install
	cp $(cp_v) lib/roar*     '$(DESTDIR)$(PREFIX_BIN)'
	cp $(cp_v) $(CKPORTDB)   '$(DESTDIR)$(PREFIX_CKPORT)'
	set -e; if [ "$(CROSS_COMPILE)" = "false" -o "$(CROSS_COMPILE)" = "true" -a "$(EXEC_HELPER)" != "" ]; then cp $(cp_v) lib/*.pc      '$(DESTDIR)$(PREFIX_PC)'; fi
	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do cp $$file '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_SOVERSION); done'
	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs $(SYMLINKPREFIX)$$file.$(COMMON_SOVERSION) '$(DESTDIR)$(PREFIX_LIB)'/$$file; done'
	sh -c 'set -e; cd lib; while read d t; do if [ -e '$(DESTDIR)$(PREFIX_LIB)'/$$d$(SUFFIX_LIB) ]; then ln -fs '$(SYMLINKPREFIX_ROOT)$(PREFIX_LIB)'/$$d$(SUFFIX_LIB) '$(DESTDIR)$(PREFIX_COMP_LIBS)'/$$t; fi; done < ../symlinks.comp'
	sh -c 'set -e; cd lib; for file in *$(COMPBIN_SUFFIX); do b=`basename $$file $(COMPBIN_SUFFIX)`; cp $$file '$(DESTDIR)$(PREFIX_COMP_BINS)'/$$b; done'
	sh -c 'set -e; for file in include/roar* include/lib*; do cp $(cp_v) -r $$file '$(DESTDIR)$(PREFIX_INC)'/; done'
	set -e; cd doc; $(MAKE) install; cd ..
	set -e; for i in $(PLUGINS); do if [ "$$i" != '' ]; then cd $$i; $(MAKE) install; cd ../..; fi; done
	cp $(cp_v) build-system/*.*     '$(DESTDIR)$(PREFIX_BUILDSYSTEM)'

semi-install: prep-install
	sh -c 'set -e; for file in lib/roar*;    do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_BIN)'/; done'
	ln -fs `pwd`/$(CKPORTDB) '$(DESTDIR)$(PREFIX_CKPORT)/'
	sh -c 'set -e; if [ "$(CROSS_COMPILE)" = "false" -o "$(CROSS_COMPILE)" = "true" -a "$(EXEC_HELPER)" != "" ]; then for file in lib/*.pc;     do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_PC)'/; done; fi'
	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_LIB)'/; done'
	sh -c 'set -e; cd lib; for file in lib*$(SHARED_SUFFIX)*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_LIB)'/$$file.$(COMMON_SOVERSION); done'
	sh -c 'set -e; cd lib; while read d t; do if [ -e `pwd`/$$d$(SHARED_SUFFIX) ]; then ln -fs `pwd`/$$d$(SHARED_SUFFIX) '$(DESTDIR)$(PREFIX_COMP_LIBS)'/$$t; fi; done < ../symlinks.comp'
	sh -c 'set -e; cd lib; for file in *$(COMPBIN_SUFFIX); do b=`basename $$file $(COMPBIN_SUFFIX)`; ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_COMP_BINS)'/$$b; done'
	sh -c 'set -e; for file in include/roar* include/lib*; do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_INC)'/; done'
	set -e; cd doc; $(MAKE) semi-install; cd ..
	set -e; for i in $(PLUGINS); do if [ "$$i" != '' ]; then cd $$i; $(MAKE) semi-install; cd ../..; fi; done
	ln -fs `pwd`/build-system/*.* '$(DESTDIR)$(PREFIX_BUILDSYSTEM)'

=== roard/Makefile ===
TARGETS=roard

OBJ=roard.o driver.o mixer.o output.o signals.o loop.o clients.o streams.o network.o commands.o req.o sources.o sample.o meta.o codecfilter.o lib.o ssynth.o container_framework.o plugins.o memlock.o hwmixer.o auth.o caps.o rolestack.o
SUBSYS=midi.o light.o raw.o rdtcs.o waveform.o beep.o
DRV=driver_esd.o driver_ao.o driver_roar.o driver_oss.o driver_shout.o driver_sndio.o driver_dmx.o driver_pwmled.o driver_sysclock.o driver_wmm.o driver_dstr.o driver_alsa.o driver_rsound.o driver_portaudio.o driver_pulsesimple.o driver_jack.o driver_artsc.o
CF_CODEC=codecfilter_cmd.o codecfilter_vorbis.o codecfilter_celt.o codecfilter_speex.o codecfilter_alaw.o codecfilter_mulaw.o codecfilter_sndfile.o codecfilter_fishsound.o codecfilter_flac.o
CF_CONTAINER=codecfilter_wave.o codecfilter_raum.o codecfilter_au.o
EMUL=emul_simple.o emul_rsound.o
HWMIXER=hwmixer_dstr.o hwmixer_oss.o

CF=${CF_CONTAINER} ${CF_CODEC}

include ../Makefile.conf
include ../Makefile.inc

#DEFINES        = -DDEBUG
#DEFINES        = -DMONITOR_LATENCY
INCLUDE   = -I../include -I./include
CFLAGS   += $(DEBUG_g) $(Wall) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH)
LDFLAGS  += $(DEBUG_g) $(Wall) $(rdynamic) -L../lib/ $(LDPATH)
DRVLIBS   = $(lib_esd) $(lib_ossaudio) $(lib_ao) $(lib_shout) $(pthread) $(lib_sndio) $(lib_rsound) $(lib_portaudio) $(lib_pablio) $(lib_asound) $(lib_winmm) $(lib_pulse_simple) $(lib_pulse) $(lib_jack) $(lib_artsc)
CODEC_CELT= $(lib_celt) $(lib_celt0)
CODECLIBS = $(lib_vorbisfile) $(lib_vorbisenc) $(lib_vorbis) $(lib_fishsound) $(lib_speex) $(lib_speexdsp) $(CODEC_CELT) $(lib_flac)
CONTLIBS  = $(lib_oggz) $(lib_sndfile) $(lib_ogg) $(lib_raum)
OWNLIBS   = $(LIBROAREIO) $(LIBROARLIGHT) $(LIBROARMIDI) $(LIBROARDSP) $(LIBROAR)
LIBS      = $(DRVLIBS) $(CODECLIBS) $(CONTLIBS) $(OWNLIBS) $(lib_slp)

all: ${TARGETS}
	rm -f ../lib/${TARGETS} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

run: roard
	./roard $(ARGS)

roard: ${OBJ} ${SUBSYS} ${DRV} ${CF} ${EMUL} ${HWMIXER}
	${CC} ${LDFLAGS} -o roard ${OBJ} ${SUBSYS} ${DRV} ${CF} ${EMUL} ${HWMIXER} ${LIBS}

=== plugins/roard/Makefile ===
include ../../Makefile.conf
include ../../Makefile.inc

TARGETS_PROTO=protocol-irc$(SHARED_SUFFIX) protocol-esound$(SHARED_SUFFIX) protocol-rplay$(SHARED_SUFFIX) protocol-gopher$(SHARED_SUFFIX)
TARGETS_DMX=dmx-random$(SHARED_SUFFIX) dmx-waveform$(SHARED_SUFFIX)
TARGETS_SERVICE=service-client$(SHARED_SUFFIX)
TARGETS_MISC=listenpty$(SHARED_SUFFIX)
TARGETS=$(TARGETS_PROTO) $(TARGETS_SERVICE) $(TARGETS_DMX) $(TARGETS_MISC)

#DEFINES        = -DDEBUG
INCLUDE = -I../../include -I../..
CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(SHARED) -L../../lib $(LDPATH)
LIBS    = $(LIBROAR)

all: ${TARGETS}
clean:
	rm -f ${TARGETS} *.o
new: clean all

install: all
	cp $(cp_v) ${TARGETS} '$(DESTDIR)$(PREFIX_PLUGINS)/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)/roard/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)/'
semi-install: all
	sh -c 'set -e; for file in *$(SHARED_SUFFIX); do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_PLUGINS)/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)/roard/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)/'; done'

%$(SHARED_SUFFIX): %.o
	$(CC) $(LDFLAGS) -o $@ $+ $(LIBS)

=== plugins/universal/Makefile ===
include ../../Makefile.conf
include ../../Makefile.inc

TARGETS_PROTO=protocol-echo$(SHARED_SUFFIX) protocol-daytime$(SHARED_SUFFIX) protocol-discard$(SHARED_SUFFIX) tic-tac-toe$(SHARED_SUFFIX) protocol-http$(SHARED_SUFFIX)
TARGETS_MISC=plugin-info$(SHARED_SUFFIX) helloworld$(SHARED_SUFFIX) debug-notify$(SHARED_SUFFIX)
TARGETS_SERVICE=service-about$(SHARED_SUFFIX)
TARGETS=$(TARGETS_MISC) $(TARGETS_PROTO) $(TARGETS_SERVICE)

#DEFINES        = -DDEBUG
DEFINES+= -DROAR_DBG_PREFIX=\"'$(shell basename $+ .c)'\"
INCLUDE = -I../../include -I../..
CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(SHARED) -L../../lib $(LDPATH)
LIBS    = $(LIBROAR)

all: ${TARGETS}
clean:
	rm -f ${TARGETS} *.o
new: clean all

install: all
	cp $(cp_v) ${TARGETS} '$(DESTDIR)$(PREFIX_PLUGINS)/universal/universal/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)/'
semi-install: all
	sh -c 'set -e; for file in *$(SHARED_SUFFIX); do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_PLUGINS)/universal/universal/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)/'; done'

%$(SHARED_SUFFIX): %.o
	$(CC) $(LDFLAGS) -o $@ $+ $(LIBS)

protocol-http$(SHARED_SUFFIX): protocol-http.o
	$(CC) $(LDFLAGS) -o $@ $+ $(LIBS) $(lib_uste)

=== debian/changelog ===
roaraudio (1.0~beta9-2) unstable; urgency=low

  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 05 May 2013 20:38:20 +0200

roaraudio (1.0~beta9-1) experimental; urgency=low

  [ Patrick Matthäi ]
  * New upstream release.
    - Drop merged patch 02-hyphen-used-as-minus-sign.
    - Add patch 01-hyphen-used-as-minus-sign to fix an new fault in
      roar-config.1.
  * Drop patch 01-configure-shebangs and make files in roaraudio/build-system/
    not executable again.
  * Migrate package to minimal debhelper rules and bump compat level to 9.

  [ Philipp Schafft ]
  * New upstream release.
    - Cleanup of rules.
    - Dropped patch 01-hyphen-used-as-minus-sign as it got merged into upstream.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 19 Feb 2013 09:46:55 +0100

roaraudio (1.0~beta8-1) experimental; urgency=low

  * New upstream release.
    - Drop merged patch 02-man-spelling-error.
    - Add patch 02-hyphen-used-as-minus-sign to fix lintian warnings.
  * Overwrite false positive lintian warnings in the roaraudio package about
    hardening-no-fortify-functions.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 10 Dec 2012 14:17:01 +0100

roaraudio (1.0~beta7-1) experimental; urgency=low

  * New upstream release.
    - Export build-system.
    - Make configure scripts executable.
    - Add patch 01-configure-shebangs to set the shebang from the new configure
      scripts of the build system to /bin/sh from /bin/false.
    - Add patch 02-man-spelling-error to fix an spelling error in the
      roarpluginrunner manpage.
    - The .cvsignore file is not installed anymore, remove the hack.
  * Correctly set CFLAGS and install missing roarpluginrunner and
    roarpluginaplication binaries.
    Closes: #691217

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 11 Nov 2012 15:34:28 +0100

roaraudio (1.0~beta6-1) experimental; urgency=low

  * New upstream release.
    - Remove .cvsignore from /usr/include/roaraudio.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.
  * Wrap all debian/control fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 25 Sep 2012 09:55:58 +0200

roaraudio (1.0~beta6~pr0-1) experimental; urgency=low

  * New upstream pre-release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 18 Sep 2012 09:59:38 +0200

roaraudio (1.0~beta5-1) experimental; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 22 Aug 2012 18:05:30 +0200

roaraudio (1.0~beta4-1) experimental; urgency=low

  * New upstream release.
    - Drop merged patch 01-uuid.
    - Drop merged patch 02-use-execed.
    - Drop merged patch 03-client-name-buffer-overflow.
  * Merge 1.0~beta2-3 changelog.
  * Use wildcards to install the roar plugins.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 10 Aug 2012 15:13:59 +0200

=== debian/control ===
Source: roaraudio
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 9),
 hardening-wrapper,
 bash-completion,
 libz-dev,
 libfishsound1-dev,
 libvorbis-dev,
 libspeex-dev,
 libshout3-dev,
 libsndfile1-dev,
 liboggz2-dev,
 libslp-dev,
 libesd0-dev,
 libspeexdsp-dev,
 libao-dev,
 libx11-dev,
 libflac-dev,
 libpulse-dev,
 libasound2-dev [linux-any],
 portaudio19-dev,
 libdnet-dev [linux-any]
Standards-Version: 3.9.4
Section: libs
Homepage: http://roaraudio.keep-cool.org/

Package: libroar2
Architecture: any
Suggests: libroar-plugins-universal (= ${binary:Version}),
 roaraudio-server,
 bzip2,
 gnupg,
 openssh-client,
 pinentry,
 libmuroar0,
 slpd,
 socat
Pre-Depends: ${misc:Pre-Depends},
 dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: libroar0
Replaces: libroar0
Description: foundation libraries for the RoarAudio sound server and clients
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This packet consists of the following libraries:
 libroar: The RoarAudio main library. It contains code for talking to roard,
 virtual IO functions useful not only for audio applications, memory
 management functions like buffers, lists, stacks.
 .
 libroardsp: Digital Signal Processing library. It contains code to work with
 PCM signals including simple filters, converters and code to work with some
 (realtime) codecs.
 .
 libroareio: This is the RoarAudio Extended IO library. It contains code for
 talking to extended IO. Currently it contains code to talk to soundcards
 without roard. This is not meant to be used by other applications directly.
 .
 libroarlight: Light Control support library. It contains code to support
 the usage of the light control subsystem.
 .
 libroarmidi: MIDI subsystem support library. It contains code to support
 the usage of the MIDI subsystem.

Package: libroar-dev
Section: libdevel
Architecture: any
Provides: libsndio-dev
Pre-Depends: ${misc:Pre-Depends},
 dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libroar2 (= ${binary:Version}),
 libroar-compat2 (= ${binary:Version}),
 libslp-dev,
 libx11-dev,
 libdnet-dev [linux-any]
Recommends: roarclients
Suggests: ckport,
 libmuroar-dev
Description: header files and documentation for the RoarAudio libraries
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This packet consists of the following libraries:
 libroar: The RoarAudio main library. It contains code for talking to roard,
 virtual IO functions useful not only for audio applications, memory
 management functions like buffers, lists, stacks.
 .
 libroardsp: Digital Signal Processing library. It contains code to work with
 PCM signals including simple filters, converters and code to work with some
 (realtime) codecs.
 .
 libroareio: This is the RoarAudio Extended IO library. It contains code for
 talking to extended IO. Currently it contains code to talk to soundcards
 without roard. This is not meant to be used by other applications directly.
 .
 libroarlight: Light Control support library. It contains code to support
 the usage of the light control subsystem.
 .
 libroarmidi: MIDI subsystem support library. It contains code to support
 the usage of the MIDI subsystem.
 .
 This package contains the development headers for the libroar library.

Package: roaraudio-dbg
Section: debug
Architecture: any
Priority: extra
Pre-Depends: ${misc:Pre-Depends},
 dpkg (>= 1.15.6~)
Depends: ${misc:Depends},
 libroar2 (= ${binary:Version}),
 roaraudio (= ${binary:Version}),
 roarclients (= ${binary:Version}),
 libroar-compat2 (= ${binary:Version}),
 libroar-plugins-universal (= ${binary:Version})
Description: RoarAudio sound server for audio mixing (debugging symbols)
 RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This packet consists of the following libraries:
 libroar: The RoarAudio main library. It contains code for talking to roard,
 virtual IO functions useful not only for audio applications, memory
 management functions like buffers, lists, stacks.
 .
 libroardsp: Digital Signal Processing library. It contains code to work with
 PCM signals including simple filters, converters and code to work with some
 (realtime) codecs.
 .
 libroareio: This is the RoarAudio Extended IO library. It contains code for
 talking to extended IO. Currently it contains code to talk to soundcards
 without roard. This is not meant to be used by other applications directly.
 .
 libroarlight: Light Control support library. It contains code to support
 the usage of the light control subsystem.
 .
 libroarmidi: MIDI subsystem support library. It contains code to support
 the usage of the MIDI subsystem.
 .
 This package contains the debugging symbols for RoarAudio.

Package: roaraudio
Section: sound
Architecture: any
Provides: roaraudio-server,
 rsound-server
Pre-Depends: ${misc:Pre-Depends},
 dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends},
 libroar2 (= ${binary:Version}),
 libroar-compat2 (= ${binary:Version}),
 roarclients (= ${binary:Version}),
 ${misc:Depends}
Recommends: oss-compat [!hurd-i386],
 libroar-plugins-universal (= ${binary:Version})
Breaks: roaraudio-extra (<< 0.4~beta2~pr0-1)
Replaces: roaraudio-extra (<< 0.4~beta2~pr0-1)
Description: sound server for audio mixing
 RoarAudio is a system for audio mixing. Its main purpose is to mix audio from
 different clients before sending it to its outputs (for example a soundcard).
 It is completely network transparent (UNIX sockets, TCP/IP, DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This package contains the RoarAudio sound server "roard" implementing the
 RoarAudio protocol.

Package: roarclients
Section: sound
Architecture: any
Breaks: roaraudio-extra (<< 0.4~beta2~pr0-1),
 roaraudio (<< 1.0~beta1-1)
Replaces: roaraudio-extra (<< 0.4~beta2~pr0-1),
 roaraudio (<< 1.0~beta1-1)
Pre-Depends: ${misc:Pre-Depends},
 dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends},
 ${misc:Depends}
Recommends: libroar-compat2 (= ${binary:Version}),
 libroar-plugins-universal (= ${binary:Version})
Suggests: roaraudio | roaraudio-server
Description: Collection of basic clients for the RoarAudio Sound System
 This package is a collection of basic clients for the RoarAudio Sound System
 based on libroar. The collection includes tools for playback and recording
 as well as controling and monitoring the sound system.
 Some tools are also very helpful for testing and debugging a RoarAudio
 setup or software.

Package: libroar-compat2
Architecture: any
Provides: libsndio1
Pre-Depends: ${misc:Pre-Depends},
 dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends},
 ${misc:Depends}
Breaks: roaraudio (<< 0.3~beta7-pr2-1)
Conflicts: libroar-compat0,
 libroar-compat1
Replaces: libroar-compat0,
 libroar-compat1
Description: drop-in replacements for other sound libraries
 To get programs which use the EsounD (ESD), OpenBSD sndio, PulseAudio
 or YIFF API running, you can install this package and replace the appropriate
 libraries.

Package: libroar-plugins-universal
Section: sound
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
 dpkg (>= 1.15.6~)
Depends: ${shlibs:Depends},
 ${misc:Depends}
Enhances: roarclients,
 roaraudio
Description: Collection of host-independent plugins for libroar
 This is a collection of host application independent plugins for libroar.
 Host application independent plugins are plugins which can be loaded in
 all host applications (e.g. roard, roarpluginrunner and roarplaylistd).
 .
 This collection also includes plugins helpful for debugging the plugin
 interface of applications using libroar's plugin interface.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1

DEB_VERSION := $(shell dpkg-parsechangelog|egrep '^Version:'|cut -f 2 -d ' ')
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_CONFIGURE_EXTRA_FLAGS := \
	--cflags "$(CFLAGS)" \
	--prefix /usr \
	--prefix-lib /usr/lib/$(DEB_HOST_MULTIARCH) \
	--without-xmms \
	--without-audacious \
	--without-beta \
	--runtime-detect \
	--link-deps indirect \
	--without-memory-api \
	--oss-dev /dev/dsp \
	--oss-mixer-dev /dev/mixer \
	--proc-net-decnet-neigh /proc/net/decnet_neigh \
	--proc-net-arp /proc/net/arp \
	--no-ipx \
	--no-yiff \
	--no-celt \
	--no-celt0 \
	--distribution-version-string "Debian-$(DEB_VERSION)"

%:
	dh $@

override_dh_auto_configure:
	./configure $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_clean:
	dh_clean
	[ ! -f Makefile.conf ] || $(MAKE) -i distclean
	rm -f debian/roaraudio.init
	rm -f debian/roaraudio.default

override_dh_install:
	cp dist/debian-like/roaraudio debian/roaraudio.init
	cp dist/debian-like/defaults debian/roaraudio.default
	cp dist/debian-like/sndio.h debian/tmp/usr/include/
	dh_install

override_dh_link:
	dh_link
	dh_link -plibroar-compat2 \
		"usr/lib/$(DEB_HOST_MULTIARCH)/libroarsndio.so.2" \
		"usr/lib/$(DEB_HOST_MULTIARCH)/libsndio.so.2"
	dh_link -plibroar-dev \
		"usr/lib/$(DEB_HOST_MULTIARCH)/libsndio.so.2" \
		"usr/lib/$(DEB_HOST_MULTIARCH)/libsndio.so"

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_strip:
	dh_strip --dbg-package=roaraudio-dbg

## roaraudio 1.0~beta11

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 COMP_LIB=$(subdir_libroaresd) $(subdir_libroarsndio) $(subdir_libroaryiff) $(subdir_libroarpulse) $(subdir_libroararts) $(subdir_libroaross) $(subdir_libroarrsound)
 
-SUBDIRS=$(comp_libs) $(COMP_LIB) $(comp_comp_bins) $(subdir_roarfish) $(comp_clients) $(comp_roard) $(comp_doc)
+SUBDIRS=$(comp_libs) $(COMP_LIB) $(comp_comp_bins) $(comp_clients) $(comp_roard) $(comp_doc)
 
 PLUGINS=$(subdir_plugins_ao) $(subdir_plugins_xmms) $(subdir_plugins_audacious) $(subdir_plugins_roard) $(subdir_plugins_universal)

=== libroar/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

BASENAME=libroar
SLIB=$(BASENAME)$(SHARED_SUFFIX)
ALIB=$(BASENAME).a

TARGETS=$(SLIB) $(ALIB) $(IMPLIB)
VIO_META=vio.o vio_select.o vio_ops.o vio_string.o
VIO_BRIDGE=vio_bio.o vio_stdio.o
VIO=$(VIO_META) $(VIO_BRIDGE) vio_cmd.o vio_magic.o vio_pipe.o vio_socket.o vio_winsock.o vio_stack.o vio_jumbo.o vio_proto.o vio_dstr.o vio_tantalos.o vio_rtp.o vio_buffer.o vio_buffer_store.o vio_stdvios.o vio_misc.o vio_zlib.o vio_stream.o vio_proxy.o
HASHES=hash.o hash_tiger.o hash_sha1.o
PASSWORD=passwordapi.o pinentry.o sshaskpass.o
CRYPTO=crypto.o random.o $(HASHES) crc.o
OBJS=libroar.o config.o debug.o error.o basic.o stream.o client.o simple.o auth.o socket.o ctl.o buffer.o meta.o file.o acl.o cdrom.o $(PASSWORD) $(VIO) stack.o slp.o nnode.o roardl.o plugincontainer.o roarx11.o beep.o proto.o env.o keyval.o vs.o ltm.o notify.o notify_proxy.o asyncctl.o enumdev.o serverinfo.o $(CRYPTO) authfile.o caps.o roarfloat.o base64.o trap.o memmgr.o time.o kstore.o uuid.o watchdog.o scheduler.o

#DEFINES        = -DDEBUG
#DEFINES+= -D_LIBROAR_NOATTR_WARNINGS
INCLUDE = -I../include -I../include/libroar
CFLAGS += $(DEBUG_g) $(Wall) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) $(LDPATH)
LIBS    = $(LIBROAR_NS)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROAR_V) -o $(SLIB) ${OBJS} ${LIBS}
$(ALIB): ${OBJS}
	${AR} cru $(ALIB) ${OBJS}
	${RANLIB} $(ALIB)

=== libroareio/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

BASENAME=libroareio
SLIB=$(BASENAME)$(SHARED_SUFFIX)
ALIB=$(BASENAME).a

TARGETS=$(SLIB) $(ALIB) $(IMPLIB)
DRIVER=driver.o driver_oss.o driver_roar.o esdfw.a
FF=ff_ssdp.o
OBJS=libroareio.o $(DRIVER) $(FF) httpd.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroareio
CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= $(DEBUG_g) $(Wall) $(Wextra) $(SHARED) -L../lib/ $(LDPATH)
LIBS    = $(LIBROAREIO_NS)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} autodetected.h esdfw.a *.o
new: clean all

esdfw.a:
	if [ "`ls esdfw_*.o`" != '' ]; then ${AR} cru esdfw.a esdfw_*.o; else ${AR} cru esdfw.a; fi
	${RANLIB} esdfw.a

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROAREIO_V) -o $(SLIB) $(OBJS) $(LIBS)
$(ALIB): ${OBJS}
	${AR} cru $(ALIB) ${OBJS}
	${RANLIB} $(ALIB)

driver.c: autodetected.h
autodetected.h:
	echo "/* *** */" > autodetected.h
	[ -f driver_esdfw.h -a -f driver_esdfw.c ] && echo '#define ROAR_HAVE_AD_ESDFW' >> autodetected.h || true
	echo "/* *** */" >> autodetected.h

=== libroarlight/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

BASENAME=libroarlight
SLIB=$(BASENAME)$(SHARED_SUFFIX)
ALIB=$(BASENAME).a

TARGETS=$(SLIB) $(ALIB) $(IMPLIB)
OBJS=libroarlight.o colors.o roardmx.o pwm.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroarlight
CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) -L../lib/ $(LDPATH)
LIBS    = $(LIBROARLIGHT_NS)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROARLIGHT_V) -o $(SLIB) ${OBJS} ${LIBS}
$(ALIB): ${OBJS}
	${AR} cru $(ALIB) ${OBJS}
	${RANLIB} $(ALIB)

=== libroarmidi/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

BASENAME=libroarmidi
SLIB=$(BASENAME)$(SHARED_SUFFIX)
ALIB=$(BASENAME).a

TARGETS=$(SLIB) $(ALIB) $(IMPLIB)
OBJS=libroarmidi.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroarmidi
CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) -L../lib/ $(LDPATH)
LIBS    = $(LIBROARMIDI_NS)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROARMIDI_V) -o $(SLIB) ${OBJS} ${LIBS}
$(ALIB): ${OBJS}
	${AR} cru $(ALIB) ${OBJS}
	${RANLIB} $(ALIB)

=== libroarrsound/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

BASENAME=libroarrsound
LIB=$(BASENAME)$(SHARED_SUFFIX)
ALIB=$(BASENAME).a

TARGETS=$(SLIB) $(ALIB) $(IMPLIB)
OBJS=libroarrsound.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroarrsound
CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) $(LDPATH) -L../lib/
LIBS    = $(LIBROAR)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_SOVERSION) -o $(SLIB) ${OBJS} ${LIBS}
$(ALIB): ${OBJS}
	${AR} cru $(ALIB) ${OBJS}
	${RANLIB} $(ALIB)

=== libroarsndio/Makefile ===
include ../Makefile.conf
include ../Makefile.inc

SLIB=libroarsndio$(SHARED_SUFFIX)

TARGETS=$(SLIB) libroarsndio.a
OBJS=libroarsndio.o para.o stream.o events.o volume.o midi.o

#DEFINES        = -DDEBUG
INCLUDE = -I../include -I../include/libroarsndio
CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) -L../lib/ $(LDPATH)
LIBS    = $(LIBROAR)

all: ${TARGETS}
	rm -f ../lib/${SLIB} 2> /dev/null || true
	cp $(cp_v) ${TARGETS} ../lib/
clean:
	rm -f ${TARGETS} *.o
new: clean all

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_SOVERSION) -o $(SLIB) ${OBJS} ${LIBS}
libroarsndio.a: ${OBJS}
	${AR} cru libroarsndio.a ${OBJS}
	${RANLIB} libroarsndio.a

=== roarclients/Makefile ===
TARGETS_DEVEL=roartypes roar-config
TARGETS_EXAMPLE=roarvorbis roarsin
TARGETS_IO=roarcat roarcatplay roarcatvio roarbidir roarmon roarmonhttp roarradio
TARGETS_CTL=roarctl roarlight roarinterconnect roarclientpass
TARGETS_DSP=roarfilt roarvumeter roardtmf
TARGETS_MISC=roarsockconnect roarphone roarshout
TARGETS_M=
TARGETS_VIO=roarvio
TARGETS_PLUGINS=roarpluginrunner roarpluginapplication

#TARGETS_TESTS=zcattest pgptest pipetest polytest
#TARGETS_OLD=roarcatpassfh roarsocktypes

TARGETS=$(TARGETS_IO) $(TARGETS_CTL) $(TARGETS_DSP) $(TARGETS_MISC) $(TARGETS_DEVEL) $(TARGETS_EXAMPLE) $(TARGETS_M) $(TARGETS_VIO) $(TARGETS_PLUGINS)

# tools we maybe want to kick of the package
TARGETS += $(TARGETS_TESTS) $(TARGETS_OLD)


TOOLS=roarify

include ../Makefile.conf
include ../Makefile.inc

#DEFINES        = -DDEBUG
INCLUDE    = -I../include -I./include
CFLAGS    += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH)
LDFLAGS   += $(DEBUG_g) $(Wall) -L../lib/ $(LDPATH)
LIBS       = $(LIBROAR)
SHOUTLIBS  = $(lib_shout) $(pthread) $(LIBS)
VORBISLIBS = $(lib_vorbisfile) $(lib_vorbis) $(lib_ogg) $(LIBS)

LNL        = $(CC) $(LDFLAGS) -o $@ $+
L          = $(LNL) $(LIBS)

all: ${TARGETS} $(TOOLS)
	cp $(cp_v) ${TARGETS} $(TOOLS) ../lib/
clean:
	rm -f ${TARGETS} ${TOOLS} *.o
new: clean all

roarcat: roarcat.o
	$L
roarcatad: roarcatad.o
	$L
roarcat2sock: roarcat2sock.o
	$L
roarcatsendfile: roarcatsendfile.o
	$L
roarcatplay: roarcatplay.o
	$L
roarcatpassfh: roarcatpassfh.o
	$L
roarcatvio: roarcatvio.o
	$L
roarradio: roarradio.o
	$L
roarctl: roarctl.o
	$L $(LIBROARDSP) $(lib_m)
roarmon: roarmon.o
	$L
roarmonhttp: roarmonhttp.o
	$L
roarinterconnect: roarinterconnect.o
	$L $(lib_esd) $(LIBROAREIO) $(lib_rsound)
roarclientpass: roarclientpass.o
	$L
roarbidir: roarbidir.o
	$L
roarphone: roarphone.o
	${CC} ${LDFLAGS} -o roarphone roarphone.o $(LIBROARDSP) $(LIBROAREIO) $(LIBS)
roarfilt: roarfilt.o
	${CC} ${LDFLAGS} -o roarfilt roarfilt.o $(LIBROARDSP) $(LIBS) $(lib_m)
roarsin: roarsin.o
	${CC} ${LDFLAGS} -o roarsin roarsin.o $(LIBROARDSP) $(LIBS) $(lib_m)
roarvumeter: roarvumeter.o
	${CC} ${LDFLAGS} -o roarvumeter roarvumeter.o $(LIBS) $(LIBROARDSP) $(lib_m)
roardtmf: roardtmf.o
	${CC} ${LDFLAGS} -o roardtmf roardtmf.o $(LIBS) $(LIBROARDSP)
roarsockconnect: roarsockconnect.o
	$L
roarvio: roarvio.o
	$L
roarpluginrunner: roarpluginrunner.o
	$L $(lib_dl)
roartypes: roartypes.o
	$L
roarsocktypes: roarsocktypes.o
	$L
roar-config: roar-config.o
	$(LNL) ../lib/libroar.a $(LIBROAR_NS)
roarvorbis: roarvorbis.o
	${CC} ${LDFLAGS} -o roarvorbis roarvorbis.o $(VORBISLIBS) $(LIBS)
roarshout: roarshout.o
	${CC} ${LDFLAGS} -o roarshout roarshout.o $(SHOUTLIBS) $(LIBS)
polytest: polytest.o
	${CC} ${LDFLAGS} -o polytest polytest.o $(LIBROARDSP) $(LIBS)
roarlight: roarlight.o
	${CC} ${LDFLAGS} -o roarlight roarlight.o $(LIBROARLIGHT) $(LIBS)
pinentrytest: pinentrytest.o
	$L
zcattest: zcattest.o
	$L
pgptest: pgptest.o
	$L
pipetest: pipetest.o
	$L
roarfctest: roarfctest.o
	${CC} ${LDFLAGS} -o roarfctest roarfctest.o $(LIBROARDSP) $(LIBS) $(lib_m)

roarify.sht:
roarify: roarify.sht
	sed 's#%%%PREFIX_COMP_LIBS%%%#$(PREFIX_COMP_LIBS)#g; s#%%%PREFIX_COMP_BINS%%%#$(PREFIX_COMP_BINS)#g; s#%%%PREFIX_LIB%%%#$(PREFIX_LIB)#g; s#%%%VERSION%%%#$(COMMON_SOVERSION)#g;' < roarify.sht > roarify
	chmod +rx roarify
roarpluginapplication.sht:
roarpluginapplication: roarpluginapplication.sht
	cp roarpluginapplication.sht roarpluginapplication
	chmod +rx roarpluginapplication

=== plugins/alsavs/Makefile ===
BASENAME0=libasound_module_pcm_roar
BASENAME1=libasound_module_ctl_roar
SLIB0=$(BASENAME0)$(SHARED_SUFFIX)
SLIB1=$(BASENAME1)$(SHARED_SUFFIX)
TARGET=$(SLIB0) $(SLIB1)
INSTALL_DIR=$(PREFIX_LIB)/alsa-lib/
OBJS0=pcm_roar.o roar.o
OBJS1=ctl_roar.o roar.o

include ../../Makefile.conf
include ../../Makefile.inc
#include Makefile.conf

#DEBUG=-DDEBUG -DXXX
DEFINES=-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"alsa-plugins\" -DVERSION=\"1.0.13\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DSTDC_HEADERS=1 -DHAVE_LIBASOUND=1 -D_REENTRANT -DPIC
CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) -I../../include $(DEFINES) $(DEBUG) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) -I/usr/include/alsa -D_GNU_SOURCE $(pthread)
LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) $(LDPATH) -L../../lib $(pthread)
LIBS    = $(LIBROAR) $(lib_m) $(lib_dl) -lrt $(lib_asound)

all: ${TARGET}
clean:
	rm -f ${TARGET} *.o tests tests.c
new: clean all

install: ${TARGET}
	mkdir -p ${DESTDIR}${INSTALL_DIR}
	cp ${TARGET} ${DESTDIR}${INSTALL_DIR}
semi-install: ${TARGET}
	mkdir -p ${DESTDIR}${INSTALL_DIR}
	ln -fs `pwd`/$(SLIB0) ${DESTDIR}${INSTALL_DIR}
	ln -fs `pwd`/$(SLIB1) ${DESTDIR}${INSTALL_DIR}

$(SLIB0): $(OBJS0)
	$(CC) $(LDFLAGS) -Wl,-soname -Wl,$(SLIB0) -o $(SLIB0) $(OBJS0) $(LIBS)
$(SLIB1): $(OBJS1)
	$(CC) $(LDFLAGS) -Wl,-soname -Wl,$(SLIB1) -o $(SLIB1) $(OBJS1) $(LIBS)

=== plugins/roard/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 include ../../Makefile.inc
 
 TARGETS_PROTO=protocol-irc$(SHARED_SUFFIX) protocol-esound$(SHARED_SUFFIX) protocol-rplay$(SHARED_SUFFIX) protocol-gopher$(SHARED_SUFFIX)
-TARGETS_DMX=dmx-random$(SHARED_SUFFIX) dmx-waveform$(SHARED_SUFFIX)
+TARGETS_DMX=dmx-random$(SHARED_SUFFIX) dmx-waveform$(SHARED_SUFFIX) dmx-strobe$(SHARED_SUFFIX)
 TARGETS_SERVICE=service-client$(SHARED_SUFFIX)
 TARGETS_MISC=listenpty$(SHARED_SUFFIX)
 TARGETS=$(TARGETS_PROTO) $(TARGETS_SERVICE) $(TARGETS_DMX) $(TARGETS_MISC)

=== plugins/universal/Makefile ===
--- 
+++ 
@@ -3,8 +3,9 @@
 
 TARGETS_PROTO=protocol-echo$(SHARED_SUFFIX) protocol-daytime$(SHARED_SUFFIX) protocol-discard$(SHARED_SUFFIX) tic-tac-toe$(SHARED_SUFFIX) protocol-http$(SHARED_SUFFIX)
 TARGETS_MISC=plugin-info$(SHARED_SUFFIX) helloworld$(SHARED_SUFFIX) debug-notify$(SHARED_SUFFIX)
+TARGETS_IO=piface$(SHARED_SUFFIX)
 TARGETS_SERVICE=service-about$(SHARED_SUFFIX)
-TARGETS=$(TARGETS_MISC) $(TARGETS_PROTO) $(TARGETS_SERVICE)
+TARGETS=$(TARGETS_MISC) $(TARGETS_PROTO) $(TARGETS_SERVICE) $(TARGETS_IO)
 
 #DEFINES        = -DDEBUG
 DEFINES+= -DROAR_DBG_PREFIX=\"'$(shell basename $+ .c)'\"

=== debian/changelog ===
roaraudio (1.0~beta11-7) unstable; urgency=medium

  * Explicit disable slp support.
  * Add patch 05-more-more-spelling-errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 03 Mar 2016 10:44:25 +0100

roaraudio (1.0~beta11-6) unstable; urgency=high

  * Bump Standards-Version to 3.9.7 (no changes required).
  * Enable full hardening.
  * Drop libslp-dev build dependency.
    Closes: #815365
  * Add patch 04-more-spelling-errors to fix a bunch of spelling errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 25 Feb 2016 11:00:20 +0100

roaraudio (1.0~beta11-5) unstable; urgency=high

  * Remove libsndio symlink.
    Closes: #797233
  * Add patch 03-manpage-spelling-errors which fixes some spelling errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 12 Sep 2015 11:18:45 +0200

roaraudio (1.0~beta11-4) unstable; urgency=medium

  * Do not install sndio.h.
    Closes: #797233
  * Add patch 02-manpage-spelling-errors which fixes a few spelling errors in
    the manpages.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 02 Sep 2015 19:31:18 +0200

roaraudio (1.0~beta11-3) unstable; urgency=medium

  * Split out roarify from package libroar-compat2 to the new package
    libroar-compat-tools to allow make libroar-compat2 multi arch aware.
    Closes: #755846
  * Multi arch the roaraudio-dbg package.
  * libroar-compat2 provides libsndio2 not libsndio1.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 29 Jul 2015 18:23:31 +0200

roaraudio (1.0~beta11-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes needed).
  * Drop dnet support, since the package will get removed.
    Closes: #755934
  * Drop deprecated hardening-wrapper.
  * Update to DEP5 debian/copyright format.
  * Add GPG signature check for uscan.
  * Remove some hardening-no-fortify-functions lintian overrides.
  * Add Multi-Arch fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 27 Jul 2015 19:15:25 +0200

roaraudio (1.0~beta11-1) unstable; urgency=low

  * New upstream release.
    - Closes Mayhem reports.
      Closes: #716264, #716251, #716245, #716240
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Removed roarcatvio, it is marked as obsoleted.
    Closes: #716263

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 24 Jan 2014 15:09:33 +0100

roaraudio (1.0~beta10-1) unstable; urgency=low

  * New upstream release.
  * Fix lintian error pkg-config-multi-arch-wrong-dir.
  * Add patch 01-source-init-functions to fix lintian warning
    init.d-script-does-not-source-init-functions.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 15 Oct 2013 13:46:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Build-Depends: debhelper (>= 9),
- hardening-wrapper,
  bash-completion,
  libz-dev,
  libfishsound1-dev,
@@ -11,7 +10,6 @@
  libshout3-dev,
  libsndfile1-dev,
  liboggz2-dev,
- libslp-dev,
  libesd0-dev,
  libspeexdsp-dev,
  libao-dev,
@@ -19,14 +17,14 @@
  libflac-dev,
  libpulse-dev,
  libasound2-dev [linux-any],
- portaudio19-dev,
- libdnet-dev [linux-any]
-Standards-Version: 3.9.4
+ portaudio19-dev
+Standards-Version: 3.9.7
 Section: libs
 Homepage: http://roaraudio.keep-cool.org/
 
 Package: libroar2
 Architecture: any
+Multi-Arch: same
 Suggests: libroar-plugins-universal (= ${binary:Version}),
  roaraudio-server,
  bzip2,
@@ -36,8 +34,7 @@
  libmuroar0,
  slpd,
  socat
-Pre-Depends: ${misc:Pre-Depends},
- dpkg (>= 1.15.6~)
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Conflicts: libroar0
@@ -71,15 +68,13 @@
 Section: libdevel
 Architecture: any
 Provides: libsndio-dev
-Pre-Depends: ${misc:Pre-Depends},
- dpkg (>= 1.15.6~)
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  libroar2 (= ${binary:Version}),
  libroar-compat2 (= ${binary:Version}),
  libslp-dev,
- libx11-dev,
- libdnet-dev [linux-any]
+ libx11-dev
 Recommends: roarclients
 Suggests: ckport,
  libmuroar-dev
@@ -113,15 +108,15 @@
 Package: roaraudio-dbg
 Section: debug
 Architecture: any
+Multi-Arch: same
 Priority: extra
-Pre-Depends: ${misc:Pre-Depends},
- dpkg (>= 1.15.6~)
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
  libroar2 (= ${binary:Version}),
- roaraudio (= ${binary:Version}),
- roarclients (= ${binary:Version}),
  libroar-compat2 (= ${binary:Version}),
  libroar-plugins-universal (= ${binary:Version})
+Recommends: roaraudio (= ${binary:Version}),
+ roarclients (= ${binary:Version})
 Description: RoarAudio sound server for audio mixing (debugging symbols)
  RoarAudio is a server for audio mixing. Its main purpose is to mix audio from
  different clients before sending it to its outputs (for example a soundcard).
@@ -154,11 +149,11 @@
 Architecture: any
 Provides: roaraudio-server,
  rsound-server
-Pre-Depends: ${misc:Pre-Depends},
- dpkg (>= 1.15.6~)
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  libroar2 (= ${binary:Version}),
  libroar-compat2 (= ${binary:Version}),
+ libroar-compat-tools (= ${binary:Version}),
  roarclients (= ${binary:Version}),
  ${misc:Depends}
 Recommends: oss-compat [!hurd-i386],
@@ -181,8 +176,7 @@
  roaraudio (<< 1.0~beta1-1)
 Replaces: roaraudio-extra (<< 0.4~beta2~pr0-1),
  roaraudio (<< 1.0~beta1-1)
-Pre-Depends: ${misc:Pre-Depends},
- dpkg (>= 1.15.6~)
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Recommends: libroar-compat2 (= ${binary:Version}),
@@ -197,9 +191,9 @@
 
 Package: libroar-compat2
 Architecture: any
-Provides: libsndio1
-Pre-Depends: ${misc:Pre-Depends},
- dpkg (>= 1.15.6~)
+Multi-Arch: same
+Provides: libsndio2
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Breaks: roaraudio (<< 0.3~beta7-pr2-1)
@@ -212,11 +206,26 @@
  or YIFF API running, you can install this package and replace the appropriate
  libraries.
 
+Package: libroar-compat-tools
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ libroar-compat2 (= ${binary:Version})
+Breaks: libroar-compat2 (<= 1.0~beta11-2),
+Replaces: libroar-compat2 (<= 1.0~beta11-2),
+Description: drop-in replacements for other sound libraries (tools package)
+ To get programs which use the EsounD (ESD), OpenBSD sndio, PulseAudio
+ or YIFF API running, you can install this package and replace the appropriate
+ libraries.
+ .
+ This package contains the required tools for the libroar-compat package.
+
 Package: libroar-plugins-universal
 Section: sound
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends},
- dpkg (>= 1.15.6~)
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Enhances: roarclients,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_VERSION := $(shell dpkg-parsechangelog|egrep '^Version:'|cut -f 2 -d ' ')
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_CONFIGURE_EXTRA_FLAGS := \
	--cflags "$(CFLAGS)" \
	--prefix /usr \
	--prefix-lib /usr/lib/$(DEB_HOST_MULTIARCH) \
	--without-xmms \
	--without-audacious \
	--without-beta \
	--runtime-detect \
	--link-deps indirect \
	--without-memory-api \
	--oss-dev /dev/dsp \
	--oss-mixer-dev /dev/mixer \
	--proc-net-arp /proc/net/arp \
	--no-ipx \
	--no-yiff \
	--no-celt \
	--no-celt0 \
	--no-slp \
	--distribution-version-string "Debian-$(DEB_VERSION)"

%:
	dh $@

override_dh_auto_configure:
	./configure $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_clean:
	dh_clean
	[ ! -f Makefile.conf ] || $(MAKE) -i distclean
	rm -f debian/roaraudio.init
	rm -f debian/roaraudio.default

override_dh_install:
	cp dist/debian-like/roaraudio debian/roaraudio.init
	cp dist/debian-like/defaults debian/roaraudio.default
	dh_install

override_dh_strip:
	dh_strip --dbg-package=roaraudio-dbg

=== debian/watch ===
version=3
opts=\
pgpsigurlmangle=s/$/.asc/,\
uversionmangle=s/~//;s/beta/~beta/;s/-pr/~pr/;s/rc/~rc/ \
http://roaraudio.keep-cool.org/downloads.html dl/roaraudio-([^-]*)\.tar\.gz
